"""
LLM Document Analysis Package

A professional Python package for analyzing documents using LLMs.
"""

from .core.analyzer import DocumentAnalyzer
from .models.document import Document, DocumentChunk, DocumentMetadata, DocumentType
from .processors.base import BaseDocumentProcessor
from .processors.pdf import PDFProcessor

__version__ = "0.1.0"
__all__ = [
    "DocumentAnalyzer",
    "Document",
    "DocumentChunk",
    "DocumentMetadata",
    "DocumentType",
    "BaseDocumentProcessor",
    "PDFProcessor",
]
